#! /bin/bash

set -e

. ./pika-build-config.sh

VERSION="$PIKA_PACKAGE_VERSION"

echo "$PIKA_BUILD_ARCH" > pika-build-arch

wget https://ppa.pika-os.com/pool/cockatiel/p/pika-pbuilder/pika-pbuilder_0.2.37-101pika1_all.deb -O ./pika-pbuilder.deb
apt-get install ./pika-pbuilder.deb -y

# Get source code
if [[ "$PIKA_PACKAGE_NAME" == *-dmo ]];
then
	apt-get source "$PIKA_PACKAGE_NAME" -y
else
	apt-get source "$PIKA_PACKAGE_NAME=$VERSION" -y
fi

### TODO: Native patching
### TODO: Quilt patching
### TODO: NMU REBUILD

if [[ "$PIKA_BUILD_ARCH" == "i386" ]]
then
	pika-pbuilder-i386-init
	pika-pbuilder-i386-build --build ./*.dsc
else
	pika-pbuilder-amd64-init
	pika-pbuilder-amd64-build --build ./*.dsc
fi

# Move the debs to output
mkdir -p ./output
mv ./*.deb ./output/
